<div class="items-list effects-list">
    {{#each effects as |section sid|}}
        {{!-- <div {{#if section.effects.length}}class="effect-list-types" {{/if}}> --}}
        {{!-- {{log "active-effects.hbs section" section}}
        {{log "active-effects.hbs sid" sid}} --}}
        <li class="general-subheader flexrow ars_clps" data-effect-type="{{section.type}}">
            <div style="flex-grow:2;" class="effect-name flexrow">{{localize section.label}}</div>
            <div class="effect-source">Source</div>
            {{#if (eq section.type 'temporary')}}
                <div class="effect-source">Duration</div>
            {{/if}}
            <div class="item-controls effect-controls flexrow">
                <a class="effect-control" data-action="create" data-tooltip='Create'> <i class="fas fa-plus"></i>Add</a>
            </div>
        </li>

        <div class="item-list ars_clps_container">
            {{#each section.effects as |effect|}}
                {{log "active-effects.hbs effect==========" effect}}

                {{#if effect.isVisible}}
                    {{#if effect.canSee}}

                        <li class="item effect info-item flexrow" data-effect-id="{{effect.id}}" data-id="{{effect.id}}"
                            data-effect-uuid="{{effect.uuid}}">
                            <img class="item-image" src="{{effect.img}}" />
                            <div class="item-name effect-name flexrow">
                                <div class="text-trunc">{{localize effect.name}}</div>
                            </div>
                            <div class="effect-source text-trunc" data-tooltip="{{effect.parent.name}}">
                                {{localize effect.parent.name}}
                            </div>
                            {{#if (eq section.type 'temporary')}}
                                <div class="effect-source text-trunc">{{displayDuration effect}}</div>
                            {{/if}}
                            <div class="item-controls effect-controls flexrow">
                                <a class="effect-control" data-action="toggle" data-tooltip='Toggle'>
                                    <i style="margin-right:5px;"
                                        class="fas {{#if effect.disabled}}fa-toggle-off{{else}}fa-toggle-on{{/if}}"></i>
                                </a>
                                <a class="effect-control" data-action="edit" data-tooltip='Edit'>
                                    <i class="fas fa-edit"></i>
                                </a>
                                <a class="effect-control" data-action="delete" data-tooltip='Delete'>
                                    <i class="fas fa-trash"></i>
                                </a>
                            </div>
                        </li>
                    {{/if}}
                {{/if}}
            {{/each}}
        </div>
        {{!--
    </div> --}}
    {{/each}}
</div>